Package Details: perl-io-stty 0.30.0-6

Git Clone URL: https://aur.archlinux.org/perl-io-stty.git (read-only)
Package Base: perl-io-stty
Description: lib/IO/Stty.pm
Upstream URL: http://search.cpan.org/dist/IO-Stty/
Licenses: PerlArtistic
Submitter: None
Maintainer: jose1711
Last Packager: jose1711
Votes: 92
Popularity: 1.706887
First Submitted: 2009-12-08 08:30
Last Updated: 2015-07-01 20:20

Latest Comments

JohnnyDeacon commented on 2013-05-02 02:53

Hi, I'm getting this error while installing this package:

Aur Targets (1): perl-io-stty

Proceed with installation? [Y/n] y

Edit perl-io-stty PKGBUILD with $EDITOR? [Y/n]
==> Making package: perl-io-stty 0.30.0-4 (Wed May 1 21:53:00 COT 2013)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading IO-Stty-0.03.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
100 10251 100 10251 0 0 6167 0 0:00:01 0:00:01 --:--:-- 16117
==> Validating source files with md5sums...
IO-Stty-0.03.tar.gz ... Passed
==> Validating source files with sha256sums...
IO-Stty-0.03.tar.gz ... Passed
==> Extracting sources...
-> Extracting IO-Stty-0.03.tar.gz with bsdtar
==> Starting build()...
Created MYMETA.yml and MYMETA.json
Creating new 'Build' script for 'IO-Stty' version '0.03'
Building IO-Stty
find: `/tmp/packerbuild-0/perl-io-stty/perl-io-stty/pkg/perl-io-stty': No such file or directory
==> ERROR: A failure occurred in build().
Aborting...
The build failed.

CaptainHook8 commented on 2013-04-27 10:26

I have this error:

find: "/tmp/yaourt-tmp-captainhook8/aur-perl-io-stty/pkg/perl-io-stty": Permission denied

I had to comment this two lines in the build() function to get it through:

find ${pkgdir} -name perllocal.pod -delete
find ${pkgdir} -name .packlist -delete

Probably it is better to put everything under the package() function and definitely remove the build() function.

evaryont commented on 2010-07-26 03:11

perl-module-build seems included in the perl5 package, at least as of 5.10 and this packages fine without it specified in makedepends.

Anonymous comment on 2010-05-18 17:08

The perl-test-more package does not exist, so makepkg does not work.

Anonymous comment on 2010-05-14 21:00

Done.
http://aur.archlinux.org/packages.php?ID=37195

tpavlic commented on 2010-05-14 20:17

IO:Stty is up to version 0.3 on search.cpan.org

Additionally, it has a Git repository at:

git://github.com/toddr/IO-Stty.git

So it seems like someone should put together a perl-io-stty-git package.